summaryrefslogtreecommitdiffstats
path: root/multimedia/ffmpeg2theora
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-04-24 03:52:43 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-05-15 10:50:24 +0200
commiteff8523e17f4e2ca9cdb0b69fe486b276e8b13c6 (patch)
tree17404ead2847c7110f2f3d7703dfeec551fdf613 /multimedia/ffmpeg2theora
parenta0f4badd060c7764c6198594cd87985f80ab0927 (diff)
downloadslackbuilds-eff8523e17f4e2ca9cdb0b69fe486b276e8b13c6.tar.gz
slackbuilds-eff8523e17f4e2ca9cdb0b69fe486b276e8b13c6.tar.xz
multimedia/ffmpeg2theora: Build bump, script cleanup.
Diffstat (limited to 'multimedia/ffmpeg2theora')
-rw-r--r--multimedia/ffmpeg2theora/ffmpeg2theora.SlackBuild18
1 files changed, 8 insertions, 10 deletions
diff --git a/multimedia/ffmpeg2theora/ffmpeg2theora.SlackBuild b/multimedia/ffmpeg2theora/ffmpeg2theora.SlackBuild
index e0928a7735..0c82debfa1 100644
--- a/multimedia/ffmpeg2theora/ffmpeg2theora.SlackBuild
+++ b/multimedia/ffmpeg2theora/ffmpeg2theora.SlackBuild
@@ -1,16 +1,15 @@
#!/bin/sh
# Slackware Package Build Script for ffmpeg2theora
-
# Home Page http://v2v.cc/~j/ffmpeg2theora/
-# Copyright (c) 2008-2009, Nishant Limbachia, Hoffman Est, IL, USA (nishant@mnspace.net)
+# Copyright (c) 2008-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
# All rights reserved.
-# Redistribution and use of this script, with or without modification, is
+# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
-# 1. Redistributions of script must retain the above copyright notice,
+# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
@@ -30,7 +29,7 @@
PRGNAM=ffmpeg2theora
VERSION=0.24
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -69,15 +68,14 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING ChangeLog INSTALL README TODO \
subtitles.txt $PKG/usr/doc/$PRGNAM-$VERSION
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null ||true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+### strip binaries
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+)
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc